Name:           perl-Monitoring-Plugin
Version:        0.40
Release:        17.2
Summary:        Family of modules to streamline writing plugins for various monitoring systems
Group:          Development/Libraries

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Monitoring-Plugin/
Source0:        http://www.cpan.org/authors/id/N/NI/NIERLEIN/Monitoring-Plugin-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Build
BuildRequires:  perl
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(ExtUtils::MM_Unix)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Runtime
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Config::Tiny)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(Math::Calc::Units)
BuildRequires:  perl(overload)
BuildRequires:  perl(Params::Validate)
BuildRequires:  perl(warnings)
# Tests only
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(IO::File)
BuildRequires:  perl(Test::More)
%if 0%{?rhel}
BuildRequires:  perl(Module::Install)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
%endif
Provides:	perl(Monitoring::Plugin) = %{version}
Provides:       perl(Monitoring::Plugin::Config)
Provides:       perl(Monitoring::Plugin::ExitResult)
Provides:       perl(Monitoring::Plugin::Functions) = %{version}
Provides:       perl(Monitoring::Plugin::Getopt)
Provides:       perl(Monitoring::Plugin::Performance)
Provides:       perl(Monitoring::Plugin::Range)
Provides:       perl(Monitoring::Plugin::Threshold)

%description
Monitoring::Plugin and its associated Monitoring::Plugin::* modules are a
family of perl modules to streamline writing Monitoring plugins. The main
end user modules are Monitoring::Plugin, providing an object-oriented
interface to the entire Monitoring::Plugin::* collection, and
Monitoring::Plugin::Functions, providing a simpler functional interface to
a useful subset of the available functionality.

%prep
%setup -q -n Monitoring-Plugin-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-,root,root)
%doc Changes notes README
%dir %{perl_vendorlib}/Monitoring
%dir %{perl_vendorlib}/Monitoring/Plugin
%{perl_vendorlib}/Monitoring/Plugin.pm
%{perl_vendorlib}/Monitoring/Plugin/*.pm
%{_mandir}/man3/Monitoring*

%changelog
* Thu Feb 26 2015 Jose Pedro Oliveira <jose.p.oliveira.oss at gmail.com> - 0.38-1.1
- No longer requires perl(ExtUtils::MakeMaker) >= 6.76; builds for older distros

* Tue Jan 06 2015 Petr Šabata <contyk@redhat.com> - 0.38-1
- 0.38 bump; test suite fixes, Windows only

* Fri Dec 05 2014 Petr Šabata <contyk@redhat.com> - 0.37-1
- Initial packaging
